package siprp.planoactuacao.print;

import java.util.Vector;

import org.jdom.Element;

public class MedidaToPrint
	implements PrintableInterface
{
	protected String descricao;
	protected Vector<PostoToPrint> postos;
	
	public MedidaToPrint( String descricao, Vector<PostoToPrint> postos )
	{
		super();
		this.descricao = descricao;
		this.postos = postos;
	}

	@Override
	public Element toJdomElement() throws Exception
	{
		Element medidaElement = new Element( "medida" );
		Element descricaoElement = new Element( "descricao" );
		descricaoElement.setText( descricao );
		medidaElement.addContent( descricaoElement );
		for( PostoToPrint posto : postos )
		{
			medidaElement.addContent( posto.toJdomElement() );
		}
		return medidaElement;
	}

	public String getDescricao()
	{
		return descricao;
	}

	public void setDescricao( String descricao )
	{
		this.descricao = descricao;
	}

	public Vector<PostoToPrint> getPostos()
	{
		return postos;
	}

	public void setPostos( Vector<PostoToPrint> postos )
	{
		this.postos = postos;
	}
	
	public void addPosto( PostoToPrint posto )
	{
		postos.add( posto );
	}
}
